net.dontdrinkandroot.visualization.item

## Class RectItem<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.AbstractColoredItem
    - - net.dontdrinkandroot.visualization.item.RectItem<T>

All Implemented Interfaces:
  ColoredItem, VisualItem

    public class RectItem<T>
    extends AbstractColoredItem

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`bbColor, bgColor, fgColor`

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`RectItem(T data, double centerX, double centerY, double width, double height)`
`RectItem(T data, double centerX, double centerY, double width, double height, Color fgColor)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`boolean` `equals(Object obj)`
`T` `getData()`
`int` `hashCode()`
`void` `setData(T data)`
`protected Rectangle2D` `updateBounds()`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`getBbColor, getBgColor, getFgColor, setBbColor, setBgColor, setFgColor`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`getBounds, getPosition, setPosition, setPosition`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RectItem

    public RectItem(T data,
            double centerX,
            double centerY,
            double width,
            double height)

#### RectItem

    public RectItem(T data,
            double centerX,
            double centerY,
            double width,
            double height,
            Color fgColor)

### Method Detail

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`
Specified by:
  `draw` in class `AbstractVisualItem`

#### updateBounds

    protected Rectangle2D updateBounds()

Specified by:
  `updateBounds` in class `AbstractVisualItem`

#### setData

    public void setData(T data)

#### getData

    public T getData()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`